ServerEvents.recipes(event => {
    event.remove({ output: 'ars_nouveau:imbuement_chamber' })
    event.shaped(
        Item.of('ars_nouveau:imbuement_chamber'),
        [
            'ABA',
            'ABA',
            'ACA'
        ],
        {
            A: '#minecraft:planks',
            B: 'dmnr:mutandis',
            C: 'minecraft:hay_block'
        }
    )
    event.remove({ id: 'ars_nouveau:novice_spell_book' })
    event.remove({ id: 'ars_nouveau:apprentice_spell_book_upgrade' })
    event.shapeless(
        Item.of('ars_nouveau:apprentice_spell_book'),
        [
            'ars_nouveau:novice_spell_book',
            '#minecraft:shovels',
            '#minecraft:pickaxes',
            '#minecraft:axes',
            '#minecraft:hoes',
            '#minecraft:swords'
        ]
    )
    event.remove({ id: 'ars_nouveau:archmage_spell_book_upgrade' })
    event.shapeless(
        Item.of('ars_nouveau:archmage_spell_book'),
        [
            'ars_nouveau:apprentice_spell_book',
            'minecraft:totem_of_undying',
            'minecraft:experience_bottle',
            '2x minecraft:emerald',
            '2x minecraft:blaze_rod',
            '2x minecraft:ender_pearl'
        ]
    )
    event.shapeless(
        Item.of('ars_nouveau:red_archwood_sapling'),
        [
            'botania:world_seed',
            'botania:red_double_flower'
        ]
    )
    event.shapeless(
        Item.of('ars_nouveau:blue_archwood_sapling'),
        [
            'botania:world_seed',
            'botania:blue_double_flower'
        ]
    )
    event.shapeless(
        Item.of('ars_nouveau:purple_archwood_sapling'),
        [
            'botania:world_seed',
            'botania:purple_double_flower'
        ]
    )
    event.shapeless(
        Item.of('ars_nouveau:green_archwood_sapling'),
        [
            'botania:world_seed',
            'botania:green_double_flower'
        ]
    )
    event.shapeless(
        Item.of('ars_elemental:yellow_archwood_sapling'),
        [
            'botania:world_seed',
            'botania:yellow_double_flower'
        ]
    )
    event.remove({ id: 'ars_nouveau:sourcestone' })
    event.shaped(
        Item.of('ars_nouveau:sourcestone', 4),
        [
            'AAA',
            'ABA',
            'AAA'
        ],
        {
            A: 'mna:decoration/vinteum_arcane_stone',
            B: 'ars_nouveau:source_gem',
        }
    )
    event.remove({ output: 'ars_nouveau:enchanting_apparatus' })
    event.shaped(
        Item.of('ars_nouveau:enchanting_apparatus'),
        [
            'ABA',
            'CDC',
            'ABA'
        ],
        {
            A: 'ars_nouveau:sconce',
            B: 'ars_nouveau:sourcestone',
            C: 'mna:infused_silk',
            D: 'ars_nouveau:source_gem'
        }
    )
    event.remove({ output: 'ars_nouveau:arcane_pedestal' })
    event.shaped(
        Item.of('ars_nouveau:arcane_pedestal'),
        [
            'ABA',
            'CAC',
            'CAC'
        ],
        {
            A: 'ars_nouveau:sourcestone',
            B: 'create:depot',
            C: 'ars_nouveau:sconce'
        }
    )
    event.remove({ id: 'ars_nouveau:archwood_chest' })
    event.shaped(
        Item.of('ars_nouveau:archwood_chest'),
        [
            'AAA',
            'A A',
            'AAA'
        ],
        {
            A: 'ars_nouveau:archwood_planks'
        }
    )
    event.shaped(
        Item.of('ars_nouveau:archwood_chest',4),
        [
            'AAA',
            'A A',
            'AAA'
        ],
        {
            A: '#forge:logs/archwood'
        }
    )
})